Bug 805733 - gnome-system-log does not ask for root password anymore
gnome-system-log does not ask for root password anymore
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-system-log (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F17Blocker/F17FinalBlocker
  Show dependency treegraph
 
Reported: 2012-03-21 19:16 EDT by Julian Sikorski
Modified: 2012-04-11 23:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: gnome-system-log-3.4.0-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2012-03-21 19:16:22 EDT
Description of problem:
As a result, /var/log/messages cannot be opened.

Version-Release number of selected component (if applicable):
gnome-system-log-3.3.92-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. yum install gnome-system-log
2. open /var/log/messages

Actual results:
Access denied

Expected results:
Root password is asked for during launch and logs with restricted access can be opened, as it used to be the case in Fedora 16.
Comment 1 Kamil Páral 2012-03-22 05:39:33 EDT
Julian: Please don't split text between summary and description. The summary can be easily changed and then your description won't make sense.

For completeness, the first sentence should be "gnome-system-log does not ask for root password anymore".

Proposing as Final blocker:
"All applications listed under the Applications menu or category must withstand a basic functionality test and not crash after a few minutes of normal use. They must also have working Help and Help -> About menu items"
https://fedoraproject.org/wiki/Fedora_17_Final_Release_Criteria
Comment 2 Kamil Páral 2012-03-22 06:20:44 EDT
After investigating more, this might not qualify as a blocker. First, I'm not sure whether this is going to be installed by default. Recent split of gnome-utils makes it possible to leave this tool out of the default installation. I can check with next compose.

Second, the tool doesn't crash but correctly announces it does not have read permissions for e.g. /var/log/messages. It does not offer a way to elevate your permissions, which is unfortunate. It's almost useless when run from a non-root account. But it doesn't seem to infringe the criterion.
Comment 3 Adam Williamson 2012-03-22 12:19:37 EDT
and there _are_ some logs that can be read with user privileges. but yeah, otoh, it's clearly a big functionality issue for the tool, so I'm a bit on the fence.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Matthias Clasen 2012-03-24 18:46:06 EDT
The way things currently stand, you have to run the tool as root for it to be useful. The proper fix would require adding polkit support to gvfs, which would also enable nautilus to browse outside your home directory.
Comment 5 Adam Williamson 2012-03-25 13:24:27 EDT
is that likely to be finished by Final? if not, it may be worth at least running gnome-system-log through consolehelper, so you get prompted for the root password, the dull old-fashioned way.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Matthias Clasen 2012-04-02 19:14:59 EDT
nobody is working on it, so: no, it is not going to be finished by Final
Comment 7 Julian Sikorski 2012-04-03 11:38:09 EDT
In such case, can we please have the old, consolehelper based functionality back?
Comment 8 Matthias Clasen 2012-04-03 11:50:13 EDT
Sure; it will only be a temporary solution though, in the light of https://fedoraproject.org/wiki/Features/UsermodeMigration

Can you do a patch for bringing it back ?
Comment 9 Fedora Update System 2012-04-05 20:07:00 EDT
gnome-system-log-3.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-system-log-3.4.0-2.fc17
Comment 10 Fedora Update System 2012-04-06 19:22:22 EDT
Package gnome-system-log-3.4.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-system-log-3.4.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5446/gnome-system-log-3.4.0-2.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-04-11 23:47:21 EDT
gnome-system-log-3.4.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.